#
# Copyright (c) 2016 Sam4Mobile
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

return if node.run_state.dig(cookbook_name, 'cluster').nil?

systemd_unit 'aerospike.service' do
  enabled true
  active true
  masked false
  static false
  content node[cookbook_name]['systemd_unit']
  triggers_reload true
  action [:create, :enable, :start]
end
